Skip to main content
POST
/
v1
/
runs
/
{run_id}
:retry
Retry a run
curl --request POST \
  --url https://api.usezombie.com/v1/runs/{run_id}:retry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>",
  "retry_token": "<string>"
}
'
{
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "state": "SPEC_QUEUED",
  "attempt": 123,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

run_id
string<uuid>
required

Run identifier

Body

application/json
reason
string
required

Human-readable reason for the retry

retry_token
string
required

Idempotency token for the retry operation

Response

Retry queued

run_id
string<uuid>
required
state
string
required
Example:

"SPEC_QUEUED"

attempt
integer
required
request_id
string<uuid>
required